[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TOpenDialog.CheckFileMustExist

Determines whether the specified file name exists.

## Declaration

Source position: dialogs.pp line 265

`protected function TOpenDialog.CheckFileMustExist(`
`const AFileName: string`
`):Boolean; virtual;`

## Arguments

`AFileName` |  | File name (including path) checked in the method.

## Function result

True if the specified file exists on the local file system.

## Description

CheckFileMustExist is a Boolean function used to check whether the file in AFilename exists on the local file system. The return value is True when FileExistsUTF8 finds the specified file name. If the file is not found, an error message is displayed with the value in rsfdFileNotExist.

CheckFileMustExist is used in the implementation of the CheckFile method.

## See also

TOpenDialog.CheckFile |  | Ensures the specified file name meets the requirements for the dialog.
TOpenDialog.CheckAllFiles |  | Ensures that values in the FileName and Files properties are valid for the Options in the dialog.
TFileDialog.FileName |  | Contains the UTF-8-encoded name for a file chosen using the dialog.
TFileDialog.Files |  | Stores the names of files (or directories) selected using the dialog.